<app-common-header name="Share my account"></app-common-header>

<ion-content>
    <div>
        <ion-item>
            <ion-label>
                <p>Name</p>
                <h3 *ngIf="name!=''">{{name}}</h3>
                <h3 *ngIf="name==''" style="color: #a9a9a9;">Please set your name in Account settings</h3>
            </ion-label>
        </ion-item>
        <ion-item>
            <ion-label>
                <p>Public Key</p>
                <h3>{{publicKey}}</h3>
            </ion-label>
        </ion-item>
    </div>
    <div>
        <img [src]='qrCode' />
    </div>
</ion-content>